### Function

# GLib datalist_set_flags

since: 2.8

#### Declaration [src]

    void
    g_datalist_set_flags (
      GData** datalist,
      guint flags
    )

#### Description [src]

Turns on flag values for a data list. This function is used to keep a small number of boolean flags in an object with a data list without using any additional space. It is not generally useful except in circumstances where space is very tight. (It is used in the base `GObject` type, for example.).

Available since: 2.8

#### Parameters

`datalist`

  Type: `GData`

  Pointer to the location that holds a list.

  The data is owned by the caller of the function.

`flags`

  Type: `guint`

  The flags to turn on. The values of the flags are restricted by `G_DATALIST_FLAGS_MASK` (currently 3; giving two possible boolean flags). A value for `flags` that doesn’t fit within the mask is an error.